aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-test-identity
diff options
context:
space:
mode:
authorKiyoshi Aman <aphrael@alpinelinux.org>2011-11-26 21:32:28 -0500
committerKiyoshi Aman <aphrael@alpinelinux.org>2011-12-04 22:09:36 -0500
commitda0b2e3f84b066572df8082532bb52742fd1ef3c (patch)
treef80a2125762230fbedb9fa928aec58b2676a631c /testing/perl-test-identity
parenta0ddcdfa104e3e411bc7ab0c6737f0f521b7a2d4 (diff)
downloadaports-da0b2e3f84b066572df8082532bb52742fd1ef3c.tar.gz
aports-da0b2e3f84b066572df8082532bb52742fd1ef3c.tar.bz2
aports-da0b2e3f84b066572df8082532bb52742fd1ef3c.tar.xz
testing/perl-test-identity: new APKBUILD
Diffstat (limited to 'testing/perl-test-identity')
-rw-r--r--testing/perl-test-identity/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/perl-test-identity/APKBUILD b/testing/perl-test-identity/APKBUILD
new file mode 100644
index 0000000000..a97dddc037
--- /dev/null
+++ b/testing/perl-test-identity/APKBUILD
@@ -0,0 +1,38 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+# Maintainer: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+pkgname=perl-test-identity
+_pkgreal=Test-Identity
+pkgver=0.01
+pkgrel=0
+pkgdesc="assert the referential identity of a reference"
+url="http://search.cpan.org/dist/Test-Identity/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/P/PE/PEVANS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="ecef85c791cf5847e4c374983cf22a74 Test-Identity-0.01.tar.gz"